@echo off
if "%SYSTEMROOT%" == "" goto error
if "%1" == "" goto usage
if "%1" == "a" goto all
rem     ===============================================================
echo.
echo Copying driver to NT system directory:
echo.
copy cb90dev%1.sys %SYSTEMROOT%\system32\drivers\cb90dev%1.sys
echo.
echo Registering driver to NT system:
echo.
regini cb90dev%1.ini
echo.
goto end
rem     ===============================================================
:all
echo Copying all drivers to NT system directory:
echo.
copy cb90dev1.sys %SYSTEMROOT%\system32\drivers\cb90dev1.sys
copy cb90dev2.sys %SYSTEMROOT%\system32\drivers\cb90dev2.sys
copy cb90dev3.sys %SYSTEMROOT%\system32\drivers\cb90dev3.sys
echo.
echo Registering all drivers to NT system:
echo.
regini cb90dev1.ini
echo.
regini cb90dev2.ini
echo.
regini cb90dev3.ini
echo.
goto end
rem     ===============================================================
:error
echo.
echo ERROR: expected %SYSTEMROOT% environment variable to be set.
echo.
goto end
rem     ===============================================================
:usage
echo.
echo Usage: cb90inst port#
echo where port# can be:    1 - for port number 1  (usually LPT port 1)
echo                        2 - for port number 2  (usually LPT port 2)
echo                        3 - for port number 3  (usually LPT port 3)
echo                        a - for all ports (recommended)
echo.
echo Example to install on a standard system:
echo.
echo    cb90INST a
echo.
rem     ===============================================================
:end
echo.
echo Done.
echo.

